package com.yonge.cooleshow.biz.dal.service;

import java.util.List;

import com.yonge.cooleshow.biz.dal.entity.AppVersionInfo;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import com.yonge.toolset.mybatis.service.BaseService;

public interface AppVersionInfoService extends BaseService<Long, AppVersionInfo> {

	List<AppVersionInfo> queryNewestByPlatform(String platform);

	void add(AppVersionInfo appVersionInfo);

	void updateVersion(AppVersionInfo appVersionInfo);

	/**
	 * 获取app版本信息
	 *
	 * @param platform 平台  ios、andorid
	 * @param version 版本号
	 * @return
	 */
	AppVersionInfo selectAppVersionInfo(String platform, String version);

	/**
	 * 获取是否是审核版本
	 *
	 * @param platform 平台 ios、andorid
	 * @param version 版本号
	 * @return
	 */
	YesOrNoEnum getAppAuditVersion(String platform, String version);
}